<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbSetupInvoiceTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_setup_invoice', function(Blueprint $table)
		{
			$table->integer('id')->nullable();
			$table->integer('site_id')->nullable();
			$table->boolean('bill_to_company')->nullable();
			$table->string('invoice_currency', 8)->nullable();
			$table->integer('invoice_decimals')->nullable();
			$table->integer('items_summary_max')->nullable();
			$table->text('news', 65535)->nullable();
			$table->string('page_type', 8)->nullable();
			$table->integer('invoice_delivery')->nullable();
			$table->boolean('invoice_show_itemized')->nullable();
			$table->boolean('invoice_show_service_dates')->nullable();
			$table->integer('invoice_grace')->nullable();
			$table->integer('invoice_advance_gen')->nullable();
			$table->integer('invoice_terms')->nullable();
			$table->string('invoice_pdf_plugin', 16)->nullable();
			$table->string('contact_us_url', 64)->nullable();
			$table->string('contact_us_phone', 64)->nullable();
			$table->integer('advance_notice')->nullable();
			$table->unique(['site_id','id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_setup_invoice');
	}

}
